Controladores de notificaciones
GET https://rzx.bio/api/notification-handlers/
curl --request GET \
--url 'https://rzx.bio/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://rzx.bio/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Texto | La cadena de búsqueda. |
| search_by | Opcional Texto | En qué campo está buscando. Los valores permitidos son: name. |
| is_enabled | Opcional Booleano | |
| type | Opcional Texto | En qué campo está buscando. Los valores permitidos son: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification. |
| datetime_field | Opcional Texto | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Texto | Filtra resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Texto | Filtra resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Texto | Por qué campo ordenar los resultados. Los valores permitidos son: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcional Texto | El orden de los resultados. Los valores permitidos son: ASC para ordenamiento ascendente y DESC para ordenamiento descendente. |
| search | Opcional Texto | La cadena de búsqueda. |
| search_by | Opcional Texto | En qué campo está buscando. Los valores permitidos son: name. |
| is_enabled | Opcional Booleano | |
| type | Opcional Texto | En qué campo está buscando. Los valores permitidos son: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification. |
| datetime_field | Opcional Texto | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Texto | Filtra resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Texto | Filtra resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Texto | Por qué campo ordenar los resultados. Los valores permitidos son: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcional Texto | El orden de los resultados. Los valores permitidos son: ASC para ordenamiento ascendente y DESC para ordenamiento descendente. |
| page | Opcional Entero | El número de página del que desea obtener resultados. Por defecto es 1. |
| results_per_page | Opcional Entero | Cuántos resultados desea por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto es 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-27 13:43:54",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://rzx.bio/api/notification-handlers?page=1",
"last": "https://rzx.bio/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://rzx.bio/api/notification-handlers?page=1"
}
}
GET https://rzx.bio/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://rzx.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://rzx.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-27 13:43:54",
}
}
POST https://rzx.bio/api/notification-handlers
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Texto | - |
| type | Requerido Texto | Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification |
| Opcional Texto | Disponible cuando: type = email Correo electrónico | |
| webhook | Opcional Texto | Disponible cuando: type = webhook URL del webhook |
| slack | Opcional Texto | Disponible cuando: type = slack URL del webhook de Slack |
| discord | Opcional Texto | Disponible cuando: type = discord URL del webhook de Discord |
| telegram | Opcional Texto | Disponible cuando: type = telegram Token de API de Telegram |
| telegram_chat_id | Opcional Texto | Disponible cuando: type = telegram ID de chat de Telegram |
| microsoft_teams | Opcional Texto | Disponible cuando: type = microsoft_teams URL del webhook de Microsoft Teams |
| google_chat | Opcional Texto | Disponible cuando: type = google_chat URL del webhook de Google Chat |
| x_consumer_key | Opcional Texto | Disponible cuando: type = x Token de API de Telegram |
| x_consumer_secret | Opcional Texto | Disponible cuando: type = x Token de API de Telegram |
| x_access_token | Opcional Texto | Disponible cuando: type = x Token de API de Telegram |
| x_access_token_secret | Opcional Texto | Disponible cuando: type = x Token de API de Telegram |
curl --request POST \
--url 'https://rzx.bio/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://rzx.bio/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://rzx.bio/api/notification-handlers/{notification_handler_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Texto | - |
| type | Opcional Texto | Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification |
| Opcional Texto | Disponible cuando: type = email Correo electrónico | |
| webhook | Opcional Texto | Disponible cuando: type = webhook URL del webhook |
| slack | Opcional Texto | Disponible cuando: type = slack URL del webhook de Slack |
| discord | Opcional Texto | Disponible cuando: type = discord URL del webhook de Discord |
| telegram | Opcional Texto | Disponible cuando: type = telegram Token de API de Telegram |
| telegram_chat_id | Opcional Texto | Disponible cuando: type = telegram ID de chat de Telegram |
| microsoft_teams | Opcional Texto | Disponible cuando: type = microsoft_teams URL del webhook de Microsoft Teams |
| google_chat | Opcional Texto | Disponible cuando: type = google_chat URL del webhook de Google Chat |
| x_consumer_key | Opcional Texto | Disponible cuando: type = x Token de API de Telegram |
| x_consumer_secret | Opcional Texto | Disponible cuando: type = x Token de API de Telegram |
| x_access_token | Opcional Texto | Disponible cuando: type = x Token de API de Telegram |
| x_access_token_secret | Opcional Texto | Disponible cuando: type = x Token de API de Telegram |
| is_enabled | Opcional Booleano | - |
curl --request POST \
--url 'https://rzx.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://rzx.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://rzx.bio/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://rzx.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://rzx.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \